Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.util.throwable
Class ThrowablePropertyDescriptor

    java.lang.Object
      echopointng.util.throwable.ThrowablePropertyDescriptor

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ThrowableDescriptor

    public class ThrowablePropertyDescriptor

extends java.lang.Object
implements java.io.Serializable

`ThrowablePropertyDescriptor` describes a property of an Throwable

See Also:
  Serialized Form

Method Summary
`int` | `getModifiers()` Returns the modifiers of the Throwable property
`java.lang.String` | `getName()` Returns the name of the Throwable property
`java.lang.Class` | `getType()` Returns the type of the Throwable property
`java.lang.Object` | `getValue()` Returns the value of the Throwable property
`java.lang.String` | `getValueAsString()` Returns a trimmed String representation of the value of the Throwable property or null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the Throwable property

  Returns:
    the name of the Throwable property

### getModifiers

    public int getModifiers()

  Returns the modifiers of the Throwable property

  Returns:
    the modifiers of the Throwable property

### getType

    public java.lang.Class getType()

  Returns the type of the Throwable property

  Returns:
    the type of the Throwable property

### getValue

    public java.lang.Object getValue()

  Returns the value of the Throwable property

  Returns:
    the value of the Throwable property

### getValueAsString

    public java.lang.String getValueAsString()

  Returns a trimmed String representation of the value of the Throwable property or null.

  Returns:
    a trimmed String representation of the value of the Throwable property or null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD